.checkbox-group {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
  justify-content: center;
  width: 95%;
  margin-left: auto;
  margin-right: auto;
  max-width: 600px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  margin-top: 25px;
  margin-bottom: 25px;
}

.checkbox-wrapper {
  width: 100%;
}
.checkbox-group > * {
  margin: 0.5rem 0.5rem;
}

.checkbox-group-legend {
  font-size: 25px;
  font-weight: 500;
  text-align: center;
}

.checkbox-input {
  clip: rect(0 0 0 0);
  -webkit-clip-path: inset(100%);
  clip-path: inset(100%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}
.checkbox-input:checked + .checkbox-tile {
  border-color: var(--purple-color);
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  color: var(--purple-color);
}
.checkbox-input:checked + .checkbox-tile:before {
  transform: scale(1);
  opacity: 1;
  background-color: var(--purple-color);
  border-color: var(--purple-color);
}
.checkbox-input:checked + .checkbox-tile .checkbox-icon,
.checkbox-input:checked + .checkbox-tile .checkbox-label {
  color: var(--purple-color);
}
.checkbox-input:focus + .checkbox-tile {
  border-color: var(--purple-color);
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1), 0 0 0 4px #b5c9fc;
}
.checkbox-input:focus + .checkbox-tile:before {
  transform: scale(1);
  opacity: 1;
}

.checkbox-tile {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 3rem;
  border-radius: 0.5rem;
  border: 2px solid #b5bfd9;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  transition: 0.15s ease;
  cursor: pointer;
  position: relative;
}
.checkbox-tile:before {
  content: "";
  position: absolute;
  display: block;
  width: 1.25rem;
  height: 1.25rem;
  border: 2px solid #b5bfd9;
  background-color: #fff;
  border-radius: 50%;
  top: 0.25rem;
  left: 0.25rem;
  opacity: 0;
  transform: scale(0);
  transition: 0.25s ease;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='192' height='192' fill='%23FFFFFF' viewBox='0 0 256 256'%3E%3Crect width='256' height='256' fill='none'%3E%3C/rect%3E%3Cpolyline points='216 72.005 104 184 48 128.005' fill='none' stroke='%23FFFFFF' stroke-linecap='round' stroke-linejoin='round' stroke-width='32'%3E%3C/polyline%3E%3C/svg%3E");
  background-size: 12px;
  background-repeat: no-repeat;
  background-position: 50% 50%;
}
.checkbox-tile:hover {
  border-color: var(--purple-color);
}
.checkbox-tile:hover:before {
  transform: scale(1);
  opacity: 1;
}

.checkbox-icon {
  transition: 0.375s ease;
  color: #494949;
}
.checkbox-icon svg {
  width: 3rem;
  height: 3rem;
}

.checkbox-label {
  color: #212529;
  transition: 0.375s ease;
  text-align: center;
}
.checkbox-find-btn {
  width: 190px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 10px;
  background-color: var(--purple-color);
  color: #fff;
  text-decoration: none;
  margin-left: auto;
  margin-right: auto;
}
.checkbox-find-btn:hover {
  opacity: 0.7;
  transition: all 0.3s;
  color: white;
  cursor: pointer;
}
.modal-plan .modal-header {
  border-bottom: 0px !important;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  border-bottom: 1px solid #dee2e6 !important;
}
.modal-plan .modal-dialog {
  max-width: 650px;
}
.modal-plan .btn-close {
  position: absolute;
  right: 0;
}
.modal-plan .modal-bottom {
  padding-top: 20px;
  border-top: 1px solid #dee2e6 !important;
}
.checkbox-tile:before {
  top: 0.75rem !important;
}
.modal-detail .modal-dialog {
  max-width: 1000px !important;
}
.modal-detail-bg {
  width: 100%;
  display: grid;
  align-items: center;
  margin-left: auto;
  margin-right: auto;

  grid-template-columns: repeat(2, minmax(0, 1fr));
}
.modal-detail-left {
  background-color: white;
  height: 100%;
  display: flex;
  align-items: center;
  padding: 60px 45px;
}
.modal-detail-right {
  background-color: #f4f4f4;
  height: 100%;
  display: flex;
  align-items: center;
  padding: 0px 45px;
  position: relative;
}
.modal-detail-btn-close {
  position: absolute;
  right: 20px;
  top: 20px;
}
.modal-detail-head-small {
  font-style: italic;
  font-size: 20px;
  font-weight: 400;
}
.modal-detail-head-big {
  font-size: 28px;
  font-weight: 400;
  margin-top: 20px;
}
.modal-detail-head-big span {
  color: var(--purple-color);
}
.modal-detail-price {
  display: flex;
  margin-top: 20px;
}
.modal-detail-price-big {
  font-size: 32px;
}
.modal-detail-price-small {
  font-size: 20px;
  margin-top: 4px;
}
.modal-detail-price-text {
  font-size: 18px;
  color: #737373;
  margin-left: 5px;
  margin-top: 8px;
}
.modal-detail-que {
  margin-top: 35px;
  color: #737373;
}
.modal-detail-que .head {
  font-weight: 600;
}
.modal-detail-que .light {
  font-weight: 400;
}
.modal-detail-btn {
  margin-top: 35px;
  width: 160px;
  border-radius: 20px;
  display: flex;
  align-items: center;
  text-decoration: none;
  justify-content: center;
  color: white;
  height: 45px;
  background-color: var(--purple-color);
  font-weight: 500;
}
.modal-detail-terms {
  display: block;
  margin-top: 20px;
  font-size: 15px;
  color: #737373;
}
.checkbox-group .checkbox:last-child {
    grid-column: span 2 / span 2;
    width: fit-content;
    min-width: 260px;
    margin-left: auto;
    margin-right: auto;
}
@media only screen and (max-width: 992px) {
  .modal-detail {
    padding: 0px 50px;
  }
}
@media only screen and (max-width: 768px) {
  .modal-detail-bg {
    display: flex;
    flex-wrap: wrap;
  }
  .modal-detail-left{
    width: 100%;
  }
   .modal-detail-right{
    width: 100%;
    padding: 40px 25px;
  }
  .modal-detail-left{
    padding: 40px 35px;
  }
  .modal-detail{
    padding: 0px;
  }
}
@media only screen and (max-width: 576px) {
    .checkbox-tile:before {
    top: 0.55rem !important;
}
  .checkbox-group-legend {
    font-size: 18px;
  }
  .checkbox-group {
    width: 100% !important;
    padding: 0px !important;
  }
  .modal-plan .container {
    padding: 0px !important;
  }
  .checkbox-label {
    font-size: 14px;
    font-weight: 500;
  }
  .modal-plan .checkbox-group > * {
    margin: 0.4rem 0.3rem !important;
  }
  .modal-plan .btn-close {
    right: 4px;
  }
  .modal-plan .modal-header {
    justify-content: start;
  }
  .checkbox-find-btn {
    font-size: 14px;
    width: 150px;
    height: 45px;
  }
  .checkbox-group {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }
  .modal-plan .checkbox-tile {
    min-height: 2.5rem;
    box-shadow: 0 3px 10px rgb(82 82 82 / 10%);
  }
  .checkbox-tile:before {
    top: 0.5rem;
  }
}
